<div class="d-flex flex-column h-100">
<app-spinner [show]="loading"></app-spinner>
  <div class="atp-patient-details d-flex">

    <div class="patient-avatar">
      <kendo-avatar *ngIf="!patient.patientPhoto" class="practioner-sdlr-avatar" width="42px"
                    height="42px" shape="circle" [initials]="patient.initial"></kendo-avatar>
      <kendo-avatar *ngIf="patient.patientPhoto" class="practioner-sdlr-avatar" width="42px"
                    height="42px" shape="circle" [imageSrc]="patient.patientPhoto"></kendo-avatar>
    </div>

    <div class="patient-other-details w-100 ml-3">

      <div class="pod-item-container d-flex align-items-center h-auto">
        <a class="flex-fill" [routerLink]="'/patients/edit/'+patient.id"><div class="patient-name">{{patient.getFullNameWithTitle}} <span *ngIf="patient.gender">({{patient.gender}})</span></div></a>
        <div class="patient-id">ID: {{patient.patientId}}</div>
      </div>

      <div class="pod-item-container">
        <div>
          <span *ngIf="patient.dob">{{patientOld}}, {{patientDobString}}</span>
          <span><span *ngIf="patient.dob && patient.patientClassification">|</span> Clasification: {{patient.patientClassification || 'Nil'}}</span></div>
      </div>

      <div class="pod-item-container d-flex">
        <div>M: {{patient.mobile || 'NILL'}}</div>
        <div class="ml-4">H: {{patient.homePhone || 'Nil'}}</div>
      </div>

      <div class="pod-item-container">
        <div>
          <span>E: </span>
          <span class="patient-email" [class.nill]="!patient.email"
                (click)="toggleSendEmailDialog(!!patient.email)">{{patient.email || 'Nil'}}</span>
        </div>
      </div>
    </div>
  </div>

  <!-- header navbar -->
  <app-headernav [patient]="patient" [appt]="mainAppt" (valueChange)="popupBtnClick($event, 'HEADER')"></app-headernav>

  <div class="flex-fill overflow-auto" style="padding: 10px;" [ngSwitch]="appointmentClicked">
    <app-listdata *ngSwitchCase="'1'" [data]="apptDetails"></app-listdata>
    <app-patient-history *ngSwitchCase="'2'" [data]="patient"></app-patient-history>
    <app-appointmentdetails *ngSwitchCase="'3'" [data]="bubbleStatics"></app-appointmentdetails>
    <app-videosession *ngSwitchCase="'4'"></app-videosession>
    <app-action-appointment *ngSwitchCase="'6'" [clickedItem]="data" [recurringData]="recurringData" [patientId]="data ? data.patientId : ''" [appt]="apptDetails"></app-action-appointment>
    <app-more-details *ngSwitchCase="'7'" [data]="apptDetails" [patient]="patient"></app-more-details>
  </div>

  <!-- footer nav -->
  <app-footer-nav (valueChange)="popupBtnClick($event, 'FOOTER')" [recurringData]="recurringData" [patientId]="data ? data.patientId : ''" [appt]="apptDetails"></app-footer-nav>

</div>

<!-- Email Lette PopUp -->
<kendo-dialog *ngIf="isSendEmailDialog" (close)="toggleSendEmailDialog(false)" [height]="auto" [width]="800">
  <div class="modalHeight">
    <!-- dialog header  -->
    <div class="col-xl-12 p-0">
      <div class="custom-delete-modal">
                <span class="QUI_BOLD_18_32 deletetext text-uppercase">
<!--                    <span *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">-->
                  <!--                        <img src="../../../../../assets/error_info.svg">-->
                  <!--                    </span>-->
                <span>EMAIL</span>
                </span>
        <button mat-icon-button (click)="toggleSendEmailDialog(false)" aria-label="Close dialog">
          <mat-icon>close</mat-icon>
        </button>
      </div>
    </div>
    <!-- dialog body  -->
    <div class="deleteDescription custom-dlt-content" style="height: 500px;">
      <div class="emailContainer">
        <h1 class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2" style="font-size: 28px;">
          NOT YET DESIGNED
        </h1>
        <p style="padding-top:10px;">(THE LETTER SHOULD BE ADDED AS AN ATTACHMENT IN THE PDF FORMAT)</p>
      </div>
    </div>
    <mat-divider></mat-divider>
  </div>
</kendo-dialog>
